package com.example.emanuele.calcolatrice;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity {
    EditText input=null;
    char operator ='+';
    double temp=0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        input= (EditText)findViewById(R.id.input);
    }

    public void append(View v){
        Button b = (Button)v;
        if (input.getText().toString().equals("0")){
            input.setText(b.getText());
        }else {
            input.getText().append(b.getText());
        }
    }

    public void clear(View v){
        input.setText("0");
        operator='+';
        temp=0;
    }

    public void operation(View v){
        char nextOperator = ((Button)v).getText().charAt(0);
        Double numero = Double.parseDouble(input.getText().toString());

        switch (operator){
            case '+':
                temp+=numero;
                break;
            case '-':
                temp-=numero;
                break;
            case '*':
                temp*=numero;
                break;
            case '/':
                temp/=numero;
                break;
        }

        if (nextOperator=='='){
            input.setText(String.valueOf(temp));
        }else {
            input.setText("0");
        }

        operator=nextOperator;
    }
}
